export interface QuestionData {
  type: string
  images?: Array<string>
  hashedImages?: Array<string>
}

export interface Question {
  Q: string
  A: string
  data: QuestionData
}

export interface Subject {
  Name: string
  Questions: Array<Question>
}

export interface QuestionDb {
  name: string
  path: string
  data: Array<Subject>
}

export interface User {
  id: number
  pw: string
  created: Date
}
